Bug 828102 - [abrt] coreutils-8.15-6.fc17: __nanosleep_nocancel: Process /usr/bin/sleep was killed by signal 11 (SIGSEGV)
[abrt] coreutils-8.15-6.fc17: __nanosleep_nocancel: Process /usr/bin/sleep wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:fe357fcfed652e678cf42aceef9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 05:00 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.25 KB, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: environ (2.87 KB, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: limits (1.29 KB, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: cgroup (131 bytes, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: maps (1.53 KB, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: dso_list (318 bytes, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: build_ids (123 bytes, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: var_log_messages (4.97 KB, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details
File: open_fds (105 bytes, text/plain)
2012-06-04 05:00 EDT, Jiri Moskovcak
no flags Details

  None (edit)
Description Jiri Moskovcak 2012-06-04 05:00:28 EDT
Description of problem:
(null)

Version-Release number of selected component:
coreutils-8.15-6.fc17

Additional info:
libreport version: 2.0.10.50.g9564
abrt_version:   2.0.10.71.g4f1f
backtrace_rating: 4
cmdline:        sleep 100
crash_function: __nanosleep_nocancel
executable:     /usr/bin/sleep
kernel:         3.3.7-1.fc17.x86_64
time:           Mon 04 Jun 2012 10:33:20 AM CEST

backtrace:
:[New LWP 15039]
:Core was generated by `sleep 100'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x00007feb451a59f0 in __nanosleep_nocancel () at ../sysdeps/unix/syscall-template.S:82
:82	../sysdeps/unix/syscall-template.S: No such file or directory.
:
:Thread 1 (LWP 15039):
:#0  0x00007feb451a59f0 in __nanosleep_nocancel () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x0000000000403ba7 in rpl_nanosleep (requested_delay=requested_delay@entry=0x7fffa63e2a50, remaining_delay=remaining_delay@entry=0x0) at nanosleep.c:85
:        limit = 2073600
:        seconds = 100
:        intermediate = {tv_sec = 100, tv_nsec = 0}
:#2  0x0000000000403a3a in xnanosleep (seconds=seconds@entry=100) at xnanosleep.c:51
:        ts_sleep = {tv_sec = 100, tv_nsec = 0}
:#3  0x00000000004015a4 in main (argc=<optimized out>, argv=<optimized out>) at sleep.c:147
:        i = <optimized out>
:        seconds = <optimized out>
:        ok = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x00007feb45109f60  0x00007feb4524aa40  Yes         /lib64/libc.so.6
:0x00007feb454a2b20  0x00007feb454bc359  Yes         /lib64/ld-linux-x86-64.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0xfffffffffffffdfc	-516
:rbx            0x64	100
:rcx            0xffffffffffffffff	-1
:rdx            0x0	0
:rsi            0x0	0
:rdi            0x7fffa63e2a10	140735982479888
:rbp            0x0	0x0
:rsp            0x7fffa63e2a08	0x7fffa63e2a08
:r8             0x0	0
:r9             0x0	0
:r10            0x7fffa63e27a0	140735982479264
:r11            0x246	582
:r12            0x401940	4200768
:r13            0x7fffa63e2bc8	140735982480328
:r14            0x0	0
:r15            0x0	0
:rip            0x7feb451a59f0	0x7feb451a59f0 <__nanosleep_nocancel+7>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __nanosleep_nocancel:
:   0x00007feb451a59e9 <+0>:	mov    $0x23,%eax
:   0x00007feb451a59ee <+5>:	syscall 
:=> 0x00007feb451a59f0 <+7>:	cmp    $0xfffffffffffff001,%rax
:   0x00007feb451a59f6 <+13>:	jae    0x7feb451a5a29 <nanosleep+73>
:   0x00007feb451a59f8 <+15>:	retq   
:End of assembler dump.
Comment 1 Jiri Moskovcak 2012-06-04 05:00:36 EDT
Created attachment 589077 [details]
File: core_backtrace
Comment 2 Jiri Moskovcak 2012-06-04 05:00:39 EDT
Created attachment 589078 [details]
File: environ
Comment 3 Jiri Moskovcak 2012-06-04 05:00:41 EDT
Created attachment 589079 [details]
File: limits
Comment 4 Jiri Moskovcak 2012-06-04 05:00:43 EDT
Created attachment 589080 [details]
File: cgroup
Comment 5 Jiri Moskovcak 2012-06-04 05:00:45 EDT
Created attachment 589081 [details]
File: maps
Comment 6 Jiri Moskovcak 2012-06-04 05:00:47 EDT
Created attachment 589082 [details]
File: dso_list
Comment 7 Jiri Moskovcak 2012-06-04 05:00:50 EDT
Created attachment 589083 [details]
File: build_ids
Comment 8 Jiri Moskovcak 2012-06-04 05:00:52 EDT
Created attachment 589084 [details]
File: var_log_messages
Comment 9 Jiri Moskovcak 2012-06-04 05:00:54 EDT
Created attachment 589085 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 15:16:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 13:33:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.